/*
 * Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
 * All rights reserved. This material contains unpublished,
 * copyrighted work, which includes confidential and proprietary
 * information of Aaron Wallack.
 */

#include "cmatrix.h"
#include <assert.h>

void printCMatrix(mat)
cmatrix *mat;
{
  printComplexArray(mat->mat,mat->width,mat->height);
}

complex *createComplexMatrix(M)
matrix *M;
{
  return createComplexArray(M->mat,M->width,M->height);
}

cmatrix *zerosCMatrix(w,h)
int w,h;
{
  cmatrix *ans;
  ans = (cmatrix *)malloc(sizeof(cmatrix));
  memset(ans,0,sizeof(cmatrix));
  
  ans->mat = zerosComplexArray(w,h);
  ans->width = w;
  ans->height = h;
  
  return ans;
}

void freeCMatrix(mat)
cmatrix *mat;
{
  freeComplexArray(mat->mat,mat->height);
  mat->mat = NULL;
  mat->width = 0;
  mat->height = 0;
  free(mat);
}

cmatrix *resizeCMatrix(m,w,h)
cmatrix *m;
int w,h;
{
  if (m->width == w &&
      m->height == h)
    return;
 
  freeComplexArray(m->mat,m->height);
  m->mat = zerosComplexArray(w,h);
  m->width = w;
  m->height = h;

  return m;
}

int containsCMatrix(m,val)
cmatrix *m;
complex *val;
{
  int i,j;
  for (i = 0; i < m->height; ++i)
    {
      int match = 1;
      for (j = 0; j < m->width; ++j)
	{
	  if (!aequal(m->mat[i][j],val[j]))
	    match = 0;
	}
      if (match) return 1;
    }
  return 0;
}

int isZeroCMatrix(m)
cmatrix *m;
{
  int i,j;
  for (i = 0; i < m->height; ++i)
    {
      for (j = 0; j < m->width; ++j)
	{
	  if (!isZeroComplex(m->mat[i][j]))
	    return 0;
	}
    }
  return 1;
}
