/*
 * Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
 * All rights reserved. This material contains unpublished,
 * copyrighted work, which includes confidential and proprietary
 * information of Aaron Wallack.
 */

#include "cmatrix.h"
#include "complex.h"

cmatrix *evalResultantAtX(fn,config,numVars,val)
void ((**fn)(complex *, complex *));
complex *config;
int numVars;
cmatrix *val;
{
  int i;

  if (!val)
    val = zerosCMatrix(numVars,1);
  else 
    resizeCMatrix(val,numVars,1);

  for (i = 0; i < numVars; ++i)
    {
      void (*thisfn)(complex *, complex *);
      complex x;
      thisfn = fn[i];
      (thisfn)(config,&x);
      val->mat[0][i] = x;
    }
  return val;
}
