/*
 * Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
 * All rights reserved. This material contains unpublished,
 * copyrighted work, which includes confidential and proprietary
 * information of Aaron Wallack.
 */

#include "matpoly.h"
#include "matrix.h"

void printMatrixPolynomial(MatPoly)
matrixPolynomial *MatPoly;
{
  int d;
  matrix *mat;
  
  for (d = MatPoly->degree; d >= 0; --d)
    {
      mat = MatPoly->matPoly[d];
      printf("var ** %d *\n",d);
      printMatrix(mat);
    }
}

matrixPolynomial *zerosMatrixPolynomial(degree, size)
int degree, size;
{
  matrixPolynomial *ans;
  int i;

  ans = (matrixPolynomial *)malloc(sizeof(matrixPolynomial));
  memset(ans,0,sizeof(matrixPolynomial));

  ans->degree = degree;
  ans->size = size;
  ans->matPoly = (matrix **)malloc((degree+1) * sizeof(matrix*));
  for (i = 0; i <= degree; ++i)
    ans->matPoly[i] = zerosMatrix(size,size);
  return ans;
}

void freeMatrixPolynomial(matPoly)
matrixPolynomial *matPoly;
{
  int i;
  for (i = 0; i <= matPoly->degree; ++i)
    freeMatrix(matPoly->matPoly[i]), matPoly->matPoly[i] = NULL;
  
  free(matPoly->matPoly), matPoly->matPoly = NULL;
  matPoly->size = 0;
  matPoly->degree = 0;
  free(matPoly);
}
