/*
 * Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
 * All rights reserved. This material contains unpublished,
 * copyrighted work, which includes confidential and proprietary
 * information of Aaron Wallack.
 */

#ifndef resultant_h
#define resultant_h

#include "matrix.h"
#include "matpoly.h"
#include "complex.h"

/* resultant class characterizes resultants. The resultant contains a
   matrixPolynomial object, a number of variables, a variable uDim
   characterizing the uDimension of a linear matrix polynomial, and an
   array of extraction recipes.
*/

typedef struct resultant 
{
  matrixPolynomial *matPoly; /* matrix polynomial of resultant   */
  int numVars;               /* number of variables in resultant */
  int uDim;                  /* dimension of linear element in linear
				matrix polynomial */ 
  int **extractionRecipe;    /* pointer to extraction recipes for
				computing hidden variable values */
  void (**fn)(complex *, complex *); 
  			      /* pointer to functions which evaluate
				 system at different configurations */
} resultant;

#endif /* resultant_h */
