/*
 * Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
 * All rights reserved. This material contains unpublished,
 * copyrighted work, which includes confidential and proprietary
 * information of Aaron Wallack.
 */

#include "cmatrix.h"

cmatrix *removeComplex(cmatrix *src, cmatrix *dst)
{
  int numComplex = 0;
  int i,j;

  for (i = 0; i < src->height; ++i)
    {
      int complex = 0;
      for (j = 0; j < src->width; ++j)
	if (!isRealComplex(src->mat[i][j]))
	  complex = 1;
      if (!complex)
	++numComplex ;
    }
  
  if (!dst)
    dst = zerosCMatrix(src->width,numComplex);
  else
    resizeCMatrix(dst,src->width,numComplex);

  for (i = 0; i < src->height; ++i)
    {
      int complex = 0;
      for (j = 0; j < src->width; ++j)
	if (!isRealComplex(src->mat[i][j]))
	  complex = 1;
      if (!complex)
	{
	  for (j = 0; j < src->width; ++j)
	    dst->mat[numComplex][j] = src->mat[i][j];
	  ++numComplex ;
	}
    }

  return dst;

}
  
