/*
 * Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
 * All rights reserved. This material contains unpublished,
 * copyrighted work, which includes confidential and proprietary
 * information of Aaron Wallack.
 */

#include "resultant.h"
#include "cmatrix.h"

cmatrix *removeNonZero(resultant *res, cmatrix *src, cmatrix *dst)
{
  matrix *isZero;
  int i,j,numZeros;
  cmatrix *val;

  val = zerosCMatrix(1,1);
  
  isZero = zerosMatrix(1,src->height);
  for (i = 0; i < src->height; ++i)
    {
      evalResultantAtX(res->fn,src->mat[i],src->width,val);
      printCMatrix(val);
      isZero->mat[i][0] = isZeroCMatrix(val);
      printf("isZero %d\n",isZero->mat[i][0]);
      if (isZero->mat[i][0])
	numZeros++;
    }
  
  if (!dst) dst = zerosCMatrix(1,1);

  resizeCMatrix(dst,dst->width,numZeros);
  
  numZeros = 0;
  
  for (i = 0; i < src->height; ++i)
    {
      if (isZero->mat[i][0])
	{
	  for (j = 0; j < src->width; ++j)
	    dst->mat[numZeros][j] = src->mat[i][j];
	  numZeros++;
	}
    }

  freeCMatrix(val);
  freeMatrix(isZero);

  return dst;
}
