% Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
% All rights reserved. This material contains unpublished,
% copyrighted work, which includes confidential and proprietary
% information of Aaron Wallack.

% The following code intersects two Bezier curves by first constructing
% (in Maple) a resultant corresponding to x1=x2 & y1=y2, and then 
% converting that Maple resultant structure into a Matlab resultant
% structure, and then solving the Matlab resultant structure

maple('read(`../maple/bezout.map`);');
maple('x1:= expand(4*((1-t)^3)+5*6*((1-t)^2)*t+5*6*(1-t)*t^2+6*t^3);');
maple('y1:= expand(1*((1-t)^3)+6*6*((1-t)^2)*t+0*6*(1-t)*t^2+4*t^3);');
maple('x2:= expand(7*((1-s)^3)+1*6*((1-s)^2)*s+9*6*(1-s)*s^2+3*s^3);');
maple('y2:= expand(4*((1-s)^3)+2*6*((1-s)^2)*s+2*6*(1-s)*s^2+4*s^3);');
maple('fnarray:=array(1..2,[expand(x1-x2),expand(y1-y2)]);');
maple('vararray:=array(1..1,[t]);');

% Construct the Bezout resultant

maple('dix:=Bezout(eval(fnarray),eval(vararray),s);');

% Convert it into a Matlab resultant

g=mapleresultant('dix')

% Numerically solve the resultant

h=solveresultant(g)

% Check the solver but evaluating the resultant at one of the computed roots

x=evalresatx(g,h(7,1:2))