% Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
% All rights reserved. This material contains unpublished,
% copyrighted work, which includes confidential and proprietary
% information of Aaron Wallack.

% Ellipse - intersect two ellipses using the longhanded Maple interface
% (Note, we use the longhanded interface, because, in a subsequent example,
% we will construct a generic resultant of generic functions). For 
% similarity, we want to use the same interface here.

% Construct a Maple resultant

maple('read(`../maple/bezout.map`);');
maple('A:= expand((x-3)*(x-3)/(4*4) + (y-6)*(y-6)/(11*11) - 1);');
maple('B:= expand((x-5)*(x-5)/(13*13) + (y-4)*(y-4)/(5*5) - 1);');
maple('fnarray:=array(1..2,[A,B]);');
maple('vararray:=array(1..1,[y]);');
maple('dix:=Bezout(eval(fnarray),eval(vararray),x);');

% Convert the Maple resultant into a Matlab resultant

g=mapleresultant('dix');

% Numerically solve the Matlab resultant

h=solveresultant(g);

% Check the validity of the numerical solver by testing a computed root

x=evalresatx(g,h(2,1:2));
