% Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
% All rights reserved. This material contains unpublished,
% copyrighted work, which includes confidential and proprietary
% information of Aaron Wallack.

% Ellipse - intersect two ellipses 
% First construct a resultant for the generic ellipse
% Then instantiate the generic resultant
% Then numerically solve the instantiated resultant
% Compare this approach to ellipse.m which computes the intersection of two
% specific ellipses

maple('read(`../maple/bezout.map`);');
maple('Asym:= expand((x-Ax)*(x-Ax)/(Arx*Arx) + (y-Ay)*(y-Ay)/(Ary*Ary) - 1);');
maple('Bsym:= expand((x-Bx)*(x-Bx)/(Brx*Brx) + (y-By)*(y-By)/(Bry*Bry) - 1);');
maple('fnarray:=array(1..2,[Asym,Bsym]);');
maple('vararray:=array(1..1,[y]);');
maple('dix:=Bezout(eval(fnarray),eval(vararray),x);');
maple('dixin:= map (proc(x) expand(subs({Ax=3,Ay=10,Arx=7,Ary=4,Bx=8,By=-4,Brx=8,Bry=16},x)); end, dix);');
g=mapleresultant('dixin');
h=solveresultant(g);
x=evalresatx(g,h(2,1:2));
