% Copyright (c) 1998 by Aaron Wallack, Natick, MA USA
% All rights reserved. This material contains unpublished,
% copyrighted work, which includes confidential and proprietary
% information of Aaron Wallack.

function x = sym2double(matrix)
% SYM2DOUBLE Sym to Double
% SYM2DOUBLE(matrix) forces the conversion of all of the elements in a matrix from type sym 
% to type double. SYM2DOUBLE is used to convert indices generated by Maple (which
% otherwise would remain as syms) into doubles so that they can be used as indices for 
% Matlab matrix accessing.

x = zeros(size(matrix,1),size(matrix,2));
for i=1:size(matrix,1)
  for j=1:size(matrix,2)
    x(i,j) = double(matrix(i,j));
  end % for j=1:size(matrix,2)
end % for i=1:size(matrix,1)
